Subject: Skipper Video

From: Dick Walton <[email-masked]>
Date: Sat, 12 Aug 1995 08:48:59 -0400

I am in the process of compiling a video tape on the skippers of Northeastern
USA. While I have footage of most of the species I am looking for footage of
Sleepy Duskywing, Horace's Duskywing, Hayhurst's Scallopwing and a few
others. I would like to trade/exchange video with anyone who might be
interested. I can provide shots of Rare, Dotted, Two-spotted and other
uncommon species as well as many of the common skippers.

If you have some video OR know someone who might I would appreciate a reply.

Cheers, Dick Walton

e-mail: [email-masked]

snail: 7 Concord Greene #8
          Concord, MA 01742